#include "robot.h"

//Implementazione della classe motori
motori::motori(short _pinp, short _pinn) {
  pinp=_pinp;
  pinn=_pinn;
  pinMode(pinp, OUTPUT);
  pinMode(pinn, OUTPUT);
}

void motori::muovi (boolean direzione) {
  digitalWrite(pinp, direzione ? HIGH : LOW );
  digitalWrite(pinn, direzione ? LOW : HIGH );
}

void motori::fermo () {
  digitalWrite(pinp, LOW );
  digitalWrite(pinn, LOW );
}

